/*
  Projekt: Animation fr 12x8 Neopixel Display
  Beschreibung: Dieses Sketch kann zur Nutzung auf einem Arduino UNO R4 Wifi mit dem Display genutzt werden

  Autor:  Joachim Hummel
  Datum: 08.02.2024 Erstellung

  Arduino-Board:  Arduino Uno R4 WiFi


  Lizenz: Apache 2.0

  Hinweise:
  - Die Nutzung des Code beinhaltet keinerlei Garantie oder Gew�hrliestung.
    Die Nutzung erfolgt auf eigenes Risiko ohne Rechtsanspruch


  Credits:
  - Danke f�r die Bereitstellung von Codeteilen aus der Arduino IDE

  Weitere Informationen findest du in der README.md-Datei oder auf GitHub.
*/



#include "animation.h"            //Include animation.h header file

// Create an instance of the ArduinoLEDMatrix class
ArduinoLEDMatrix matrix;  

void setup() {
  Serial.begin(115200);
  // you can also load frames at runtime, without stopping the refresh
  matrix.loadSequence(animation);
  matrix.begin();
  // turn on autoscroll to avoid calling next() to show the next frame; the paramenter is in milliseconds
  // matrix.autoscroll(300);
  matrix.play(true);
}

void loop() {
  delay(2500);
  Serial.println(millis());
}

